#pragma once

#include "CoreMinimal.h"
#include "Blueprint/UserWidget.h"
#include "UObject/NoExportTypes.h"
#include "CoreEmblemPipWidget.generated.h"

class UDBDImage;

UCLASS(Blueprintable, EditInlineNew)
class UCoreEmblemPipWidget : public UUserWidget
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FLinearColor PipReachedColor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FLinearColor PipNotReachedColor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FLinearColor TraitReachedColor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FLinearColor TraitNotReachedColor;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDImage* PipIcon;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDImage* PipGlow;

	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UDBDImage* PipTrait;

public:
	UCoreEmblemPipWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreEmblemPipWidget) { return 0; }
